com.avaya.deskphoneservices

## Class DeskPhonePlatformUtils

- java.lang.Object
- - com.avaya.deskphoneservices.DeskPhonePlatformUtils

-     public final class DeskPhonePlatformUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_MAC_ADDRESS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getDeviceMacAddress()` Returns the ethernet mac address of the device.
    `static boolean` | `isActiveSDKPhoneApp()` Returns if executing app is running as active sdk phone app on platform.
    `static boolean` | `isActiveSDKPhoneAppOnDeskPhone()` Returns if executing app is running as active sdk phone app on desk phone platform.
    `static boolean` | `isCameraAvailable(android.content.Context context)` Returns if desk phone platform has camera support available
    `static boolean` | `isCameraAvailable(android.content.pm.PackageManager packageManager)`
    `static boolean` | `isDeskPhoneModel()` Utility method to determine if the application on top of DeskphoneServices is running on a Vantage phone.
    `static boolean` | `isSpacesCallStatusActive()`
    `static boolean` | `isVantagePlatform2()` Utility method to determine if the application on top of DeskphoneServices is running on a Vantage 2.x phone.
    `static boolean` | `isVantagePlatform3()` Utility method to determine if the application on top of DeskphoneServices is running on a Vantage 3.x phone.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAC_ADDRESS

          public static final java.lang.String DEFAULT_MAC_ADDRESS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isDeskPhoneModel

          public static boolean isDeskPhoneModel()

      Utility method to determine if the application on top of DeskphoneServices is running on a Vantage phone.
      Returns:
        `true` If the application is running on a Vantage Deskphone, otherwise `false`

    - #### isVantagePlatform2

          public static boolean isVantagePlatform2()

      Utility method to determine if the application on top of DeskphoneServices is running on a Vantage 2.x phone.
      Returns:
        `true` If the application is running on a Vantage 2.x Deskphone, otherwise `false`

    - #### isVantagePlatform3

          public static boolean isVantagePlatform3()

      Utility method to determine if the application on top of DeskphoneServices is running on a Vantage 3.x phone.
      Returns:
        `true` If the application is running on a Vantage DeskPhone, otherwise `false`

    - #### isActiveSDKPhoneApp

          public static boolean isActiveSDKPhoneApp()

      Returns if executing app is running as active sdk phone app on platform.
      Returns:
        Whether the executing application is the active ClientSDK phone application or not.

    - #### isSpacesCallStatusActive

          public static boolean isSpacesCallStatusActive()

      Returns:
        true for active spaces call else false.

    - #### isActiveSDKPhoneAppOnDeskPhone

          public static boolean isActiveSDKPhoneAppOnDeskPhone()

      Returns if executing app is running as active sdk phone app on desk phone platform.
      Returns:
        Whether the executing application is the active ClientSDK phone application on desk phone platform or not.

    - #### isCameraAvailable

          public static boolean isCameraAvailable(@NonNull
                                                  android.content.Context context)

      Returns if desk phone platform has camera support available
      Parameters:
        `context` - Android application context
      Returns:
        If hardware camera is available or not

    - #### isCameraAvailable

          public static boolean isCameraAvailable(@NonNull
                                                  android.content.pm.PackageManager packageManager)

    - #### getDeviceMacAddress

          @NonNull
          public static java.lang.String getDeviceMacAddress()

      Returns the ethernet mac address of the device.
      Returns:
        The platform provided ethernet mac address or DEFAULT_MAC_ADDRESS if not available.